## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libheif-sys

Name:           rust-libheif-sys
Version:        1.16.2
Release:        %autorelease
Summary:        Libheif bindings

License:        MIT
URL:            https://crates.io/crates/libheif-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * temporarily downgrade bindgen dependency from 0.66 to 0.63
# * remove unused, Windows-specific vcpkg build-dependency
Patch:          libheif-sys-fix-metadata.diff
Patch:          0001-unconditionally-regenerate-bindings-with-bindgen.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Libheif bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libheif) >= 1.16

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "use-bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+use-bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libheif) >= 1.16'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 10 2023 Kalev Lember <klember@redhat.com> - 1.16.2-1
- Update to 1.16.2

* Thu Aug 24 2023 Fabio Valentini <decathorpe@gmail.com> - 1.16.1-2
- Unconditionally regenerate bindings with bindgen

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 1.16.1-1
- Initial Fedora packaging (rhbz#2233796)
## END: Generated by rpmautospec
